## org.beepcore.beep.util
Class BufferSegment

    java.lang.Object
      org.beepcore.beep.util.BufferSegment

public class BufferSegment
extends java.lang.Object

A `BufferSegment` represents a BEEP Frame payload and holds the BEEP Frames's Header, Trailer and the message payload. It contains a byte array an offset into the array and the length from the offset.

Constructor Summary
`BufferSegment(byte[] data)` Constructor BufferSegment
`BufferSegment(byte[] data, int offset, int length)` Constructor BufferSegment

Method Summary
`byte[]` `getData()`
`int` `getLength()`
`int` `getOffset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferSegment

    public BufferSegment(byte[] data)

  Constructor BufferSegment

Parameters:
  `data` - A byte array containing a BEEP Frame payload.

### BufferSegment

    public BufferSegment(byte[] data,
                         int offset,
                         int length)

  Constructor BufferSegment

Parameters:
  `data` - A byte array containing a BEEP Frame payload.
  `offset` - Indicates the begining position of the BEEP Frame payload in the byte array `data`.
  `length` - Number of valid bytes in the byte array starting from `offset`.

Method Detail

### getData

    public byte[] getData()

### getOffset

    public int getOffset()

### getLength

    public int getLength()

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.